Skip to content

Servers​

https://api.memnetai.com/

Default​

Operations​


Dream API​

POST
v1/dream

This interface is used for automatic dreaming of memory

heat: 44 points

📌 Attention

Dreaming plays an important role in organizing and dispersing the human memory system. Dreams often use fragmented memory fragments as materials, forming seemingly imaginative but internally connected cognitive landscapes through non-linear and cross dimensional combinations, thereby stimulating imagination, insight into potential associations, and promoting deeper thinking reconstruction.

This interface aims to simulate the dreaming mechanism of humans: based on a certain "thought" generated in historical memory as the core theme, it autonomously and repeatedly associates, reorganizes, and deduces within the memory system, reprocesses existing memories, and thus nurtures new cognitive structures and intellectual achievements.

Parameters​

Header Parameters

Authorization

API key token

Typestring
Example"Token <api-key>"

Request Body​

application/json
JSON
{
"memoryAgentName": "string",
"namespace": "string",
"subject": "string",
"asyncMode": 1,
"isAuto": 0
}

Responses​

application/json
JSON
{
"code": "string",
"msg": "string",
"data": {
"tip": "string",
"usage": {
"consumedPoints": "string",
"consumedMemoryCount": "string",
"consumedRecallCount": "string",
"consumedThinkingCount": "string",
"consumedDreamCount": "string",
"consumedCommonMemoryWords": "string",
"hasRemainingQuota": true
},
"content": "string",
"summary": "string",
"taskId": "string"
}
}

Playground​

Headers
Body

Samples​

cURL
JavaScript
PHP
Python

Powered by VitePress OpenAPI